Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1599349 - API with an invalid zone name kill the appliance
Summary: API with an invalid zone name kill the appliance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.5
Assignee: Julian Cheal
QA Contact: Jaroslav Henner
URL:
Whiteboard:
: 1648808 (view as bug list)
Depends On: 1595158
Blocks: 1648808
TreeView+ depends on / blocked
 
Reported: 2018-07-09 15:11 UTC by Satoe Imaishi
Modified: 2018-12-03 13:42 UTC (History)
12 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1595158
: 1648808 (view as bug list)
Environment:
5.9
Last Closed: 2018-11-05 13:58:27 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 13:59:13 UTC

Comment 2 CFME Bot 2018-07-11 14:15:56 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/fbb84f082699e1e6ede42aa25e372bf265ab2218
commit fbb84f082699e1e6ede42aa25e372bf265ab2218
Author:     Chris Arcand <chrisarcand@users.noreply.github.com>
AuthorDate: Mon Mar 12 21:16:47 2018 -0400
Commit:     Chris Arcand <chrisarcand@users.noreply.github.com>
CommitDate: Mon Mar 12 21:16:47 2018 -0400

    Merge pull request #17139 from bdunne/only_update_zone_if_found

    Only update zone if found
    (cherry picked from commit 360af512f8c2bfbdc0c3478715805f2e19fdf68d)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1599349

 app/models/miq_server/configuration_management.rb | 4 +-
 spec/models/miq_server/configuration_management_spec.rb | 8 +
 2 files changed, 10 insertions(+), 2 deletions(-)

Comment 3 Martin Kourim 2018-08-13 14:51:25 UTC
On 5.9.4.2 it's possible to change zone settings to non-existent zone.

Expected behavior is that only valid zone names are allowed.
 
PATCH /api/servers/1/settings
{
    "server": {
        "zone": "Non Existent"
    }
}

Response:
...
"server": {
    ...
    "zone": "Non Existent"

Comment 7 Martin Kourim 2018-08-15 14:05:17 UTC
Update to comment #3:
The appliance keeps functioning after the zone is changed to invalid setting.

Comment 9 Julian Cheal 2018-08-23 11:15:27 UTC
PR to fix this https://github.com/ManageIQ/manageiq/pull/17892

Comment 11 CFME Bot 2018-09-11 21:26:16 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/1ee2efb07e813c581507acd08d1eec24f967479c
commit 1ee2efb07e813c581507acd08d1eec24f967479c
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Wed Aug 22 17:14:09 2018 -0400
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Wed Aug 22 17:14:09 2018 -0400

    Merge pull request #17892 from juliancheal/fix_invalid_zone

    Ensure Zone data is Valid
    (cherry picked from commit 2b06c5daec30c7d00871b3d3503cb4475aee0948)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1599349

 lib/vmdb/config/validator.rb | 7 +
 1 file changed, 7 insertions(+)

Comment 12 CFME Bot 2018-09-21 16:31:28 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/f765ee0454abc0ded6ea169d8bb14bb726f503fa
commit f765ee0454abc0ded6ea169d8bb14bb726f503fa
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Tue Sep 18 13:42:42 2018 -0400
Commit:     Jason Frey <fryguy9@gmail.com>
CommitDate: Tue Sep 18 13:42:42 2018 -0400

    Merge pull request #17994 from juliancheal/fix_spelling

    Fixed spelling error

    (cherry picked from commit 156cd6b949e5bc4837edd1d76e47e643d9250040)

    https://bugzilla.redhat.com/show_bug.cgi?id=1599349

 lib/vmdb/config/validator.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 13 Jaroslav Henner 2018-10-22 12:13:40 UTC
On 5.9.5.2:

$ curl -k https://10.16.5.91/api/servers/1/settings -u admin:smartvm --data @/tmp/data -XPATCH
{"error":{"kind":"internal_server_error","message":"configuration invalid","klass":"RuntimeError"}}%   

$ cat /tmp/data
{ "server": { "name": "Test Name", "zone": "de  fault"}}

In 5.9.4.7 I am allowed to change the zone.

Comment 15 errata-xmlrpc 2018-11-05 13:58:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466

Comment 16 Yuri Rudman 2018-12-03 13:42:07 UTC
*** Bug 1648808 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.